[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSList.Expand

Expand the capacity of the list

## Declaration

Source position: fgl.pp line 81

`public function TFPSList.Expand: TFPSList;`

## Function result

Self

## Description

Expand will expand the capacity of the list, and returns itself.

## Errors

If the size will become larger than MaxListSize an EListError exception will be raised.

## See also

MaxListSize |  | Maximum amount of elements in a list
TFPSList.Capacity |  | Current capacity of the list